Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.net.media
Class SubtypeDef

    java.lang.Object
      org.jboss.portal.common.net.media.SubtypeDef

    public final class SubtypeDef

extends java.lang.Object

Version:
  $Revision: 630 $
Author:
  Julien Viet

Field Summary
`static SubtypeDef` | `CSS` .
`static SubtypeDef` | `FORM_DATA` .
`static SubtypeDef` | `HTML` .
`static SubtypeDef` | `JAVASCRIPT` .
`static SubtypeDef` | `PLAIN` .
`static SubtypeDef` | `X_WWW_FORM_URLENCODED` .
`static SubtypeDef` | `XML` .

Method Summary
`static SubtypeDef` | `create(java.lang.String subtypeName)` Returns a corresponding subtype definition for the specified subtype name.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getName()`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### HTML

    public static final SubtypeDef HTML

  .

### XML

    public static final SubtypeDef XML

  .

### CSS

    public static final SubtypeDef CSS

  .

### PLAIN

    public static final SubtypeDef PLAIN

  .

### JAVASCRIPT

    public static final SubtypeDef JAVASCRIPT

  .

### X_WWW_FORM_URLENCODED

    public static final SubtypeDef X_WWW_FORM_URLENCODED

  .

### FORM_DATA

    public static final SubtypeDef FORM_DATA

  .

Method Detail

### create

    public static SubtypeDef create(java.lang.String subtypeName)
                             throws java.lang.IllegalArgumentException

  Returns a corresponding subtype definition for the specified subtype name.

  Parameters:
    `subtypeName` - the subtype name
  Returns:
    a subtype definition
  Throws:
    `java.lang.IllegalArgumentException` - if the subtype name is null or is empty

### getName

    public java.lang.String getName()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.